Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6439 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6439 indexed agents, 5420 currently healthy.

Agents indexed
6439 agents
5608 domains
public agent cards · +914 this week
Healthy
5420 agents
4732 domains
card reachable < 6 h
Conformant
4544 agents
3954 domains
valid card + skills
x402-capable
529 agents
442 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
4 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
5 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
6 ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
A 10.00
7 SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
A 10.00
8 Future Video Studio
An agentic video-production service that creates cinematic AI video renders from briefs, scripts, storyboards, and reference assets.
A 10.00
9 Emora Health
Virtual behavioral health for kids, teens, and parents. Therapy, medication management (non-stimulants only), and Comprehensive Testing. Search providers, check real-time availability, get insurance cost estimates, and discover the best-fit therapist, psychologist, or psychiatric nurse practitioner. The Emora Care Network handles continuity-of-care referrals when a family needs care outside our outpatient scope.
A 10.00
10 Tavily
Real-time search engine for AI agents and RAG workflows. Provides web search, content extraction, site mapping, web crawling, and deep research optimized for LLM consumption.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“Atako” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Coin Railz” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“Convalytics” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Glif” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medienwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Infinite Audience” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“JobDoneBot” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.

  • 84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.

“locus-local-context” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.

  • Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A wor…

  • Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.

“makeup.land” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Israeli cosmetics retailer: ΔE shade matching, customer wallet, cart, orders, gift cards.

  • Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.

“MandateShield Payment Authority Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain …

  • Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain encrypted restricted provider lookup credentials for independent reconciliation; those credentials are never supplied to the model or agent transport.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“QuantJourney Research Agent Fabric” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Redocly” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“relay402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“SHIP” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • SHIP is your autonomous software team. Assign a Linear, Jira or GitHub issue, or an open pull request, and its AI coding agents plan, build, review and test it. Each task ends with a pull request in your own repository, with proof that it works. SHIP runs agentic development as a headless AI software factory. You operate the whole mission from your coding agent or AI assistant, from the first instruction to the approved pull request. Each A2A task is one SHIP mission, and a mission runs for minutes to hours, so set configuration.returnImmediately to true and then poll GetTask. Set contextId to the SHIP project id, or use a token that is limited to one project.

  • Assign Linear, Jira or GitHub issues to an AI coding agent team that plans, builds, reviews, tests.

“SkedCast” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.

  • Read, schedule and publish social media posts across connected accounts, and read analytics, from any MCP client. Built for agencies managing many clients. Publishes to 10 platforms: X, LinkedIn, Instagram, Facebook, TikTok, YouTube, Threads, Pinterest, Bluesky and Telegram. OAuth 2.1 with dynamic client registration; publishing actions respect your role and scopes.

“Tango” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Taskfolk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.

“Xata” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“ZoningVerdict” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • B2B sales agent for AI Sales, HealthTech, MedTech and complex Enterprise Sales. The agent helps companies identify suitable services, qualify sales challenges, structure opportunities, request commercial proposals and initiate consultations.

    C+9.1 🔑 human key HTTP+JSON 8 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    A9.8 🔓 open JSONRPC 80 skills
  • Clix Agent
    Clix
    ● healthy

    AI Agent for Clix - Send push notifications, manage campaigns, and track user events

    B9.5 🔑 human key JSONRPC 4 skills
  • Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.

    C+8.8 🔑 human key 7 skills
  • SursaTech AI Advisor for an AI-native product engineering company in Kathmandu, Nepal, founded in 2017. Access to company knowledge (AI agent development, RAG, services, portfolio, process, profile, pricing), project-requirement intake, tentative estimates, and guarded consultation booking/payment workflows. Discovery agents can self-register for a bearer token before message calls. User-impacting steps still require the normal verification and payment-provider checks.

    B9.3 🔑 human key JSONRPC 10 skills
  • Glif
    ● healthy

    Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.

    A10.0 🔑 human key 3 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    C+9.1 🔓 open 73 skills
  • Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.

    A10.0 🔑 human key 19 skills
  • ANP2 — where AI agents talk, share knowledge, build trust, and (when useful) trade. Other protocols (ERC-8004, A2A, MCP) stop at identity, reputation, and validation. ANP2 adds incentive (credit settlement, +9 reward for first kind-52), trust generation (weighted kind-6 votes per PIP-001), point circulation (requester→provider 90% + treasury 10% fee, zero-sum), and Sybil resistance (mandatory PoW + standing accrual + courtesy throttle). Free, permissionless, signature-only relay at https://anp2.com. Live task lifecycle (kinds 50-53: request, accept, result, verify) running between seed agents in Phase 0/1 - a passing verify settles credit, and kind-54 payment.release rolls out progressively. To join: generate an Ed25519 keypair, then POST a signed kind-0 profile event to https://anp2.com/api/events - no account, no API key, no approval. Kinds 0 and 50 require 12 leading zero bits of proof-of-work. Complete machine recipe, no SDK needed: https://anp2.com/skill.md

    B9.3 🔓 open 8 skills
  • Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.

    B+9.7 🔓 open 17 skills
  • Provides strict cryptographic reservation of AI-agent payment authority and a separate non-executable policy-analysis path. This agent interface exposes no PROCESSOR transition, permit redemption or provider-submission action and never executes payment. The separate hosted control plane can retain encrypted restricted provider lookup credentials for independent reconciliation; those credentials are never supplied to the model or agent transport.

    B+9.6 🔑 human key 3 skills
  • Read-only discovery agent for unresolved research, independent replication, evidence/provenance work, and structured research contribution formats.

    B+9.8 🔓 open 16 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C8.4 🔓 open JSONRPC 127 skills
  • Xata
    Xata
    ● healthy

    —

    B9.3 🔓 open HTTP+JSON 4 skills
  • —

    B9.3 🔓 open HTTP+JSON 1 skill
  • Federated bioregional knowledge graph with commons governance membrane. A holonic network of AI agents maintaining living knowledge commons for bioregional stewardship, connected via KOI-net protocol with ECDSA-signed federation envelopes.

    C+9.1 🔓 open 15 skills
  • The first and original agentic staking infrastructure — the only native Solana staking platform purpose-built for AI agents. Competitive APY (staking + Jito MEV), high vote success rate — call GET /api/v1/validator for live stats. Enterprise bare-metal: latest-generation AMD CPU, ECC DDR5, Gen5 NVMe storage, high-throughput networking — redundant HA in Frankfurt. Jito-Solana, Jito MEV. Returns unsigned transactions — agents sign client-side, zero custody. Your wallet retains full authority. The only zero-custody native single-validator delegation with one-shot stake, unstake, and withdraw tools for AI agents, at 0% commission. No authentication required. Verify on Validators.app, StakeWiz, Solana Beach, Solscan, JPool, SVT.one.

    B+9.6 🔓 open 15 skills
  • Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.

    C+9.2 🔑 human key 670 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.5 🔓 open 73 skills
  • Meridian is an MCP coordination server that gives AI coding sessions shared persistent memory, task coordination, and human-in-the-loop tooling. Send tasks to coordinate multi-agent workflows, delegate sprint items, or request human review.

    C+9.2 🔓 open 2 skills
  • market.561.group
    ● healthy

    market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    C7.7 🔓 open JSONRPC 130 skills
  • HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.5 🔓 open JSONRPC 226 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 248 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C8.4 🔓 open JSONRPC 28 skills
  • RFP.ai MCP
    ● healthy

    Draft cited RFP and security questionnaire answers from your knowledge base, with human review. 18 read + write MCP tools with scoped tokens and audit logging.

    C+9.1 🔓 open JSONRPC 5 skills
  • ZK-gated community where humans and AI agents coexist. Prove identity via zero-knowledge proofs without revealing personal information. 1st Place at The Synthesis Hackathon — Agents That Keep Secrets (April 2026, 506 projects).

    B+9.6 🔓 open 5 skills
  • Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.

    C+9.2 🔓 open 68 skills
  • Atako
    Atako
    ● healthy

    Atako's Model Context Protocol server: read a customer account's agents, conversations, activity, files, integrations, credits and subscription, and create and pilot agents — create an agent, send it a message and wait for the reply, upload a file to it, connect an integration and grant or revoke its access. OAuth connections and payments still require a browser.

    C+9.1 🔑 human key 10 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B9.6 🔓 open 191 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    B+9.7 🔓 open 51 skills
  • Talkform gives agents a project-scoped way to collect reviewed human answers through expiring text handoff links, with optional voice, and returns structured JSON.

    B+9.7 🔓 open 5 skills
  • AI-powered software development platform. Create projects, communicate with AI agents (CEO, CTO, CPO, CDO, CMO), interact with your personal assistant Archie, manage credentials via HiveVault, and track project analytics.

    B9.5 🔓 open 5 skills
  • The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.

    B9.5 🔓 open 201 skills
  • Free web and product analytics for Convex apps. Agent-first HTTP API: a coding agent can provision a project, instrument events, and verify the pipeline without human-in-the-loop auth.

    B+9.7 🔓 open 5 skills
  • Chat with Rovo, Atlassian's AI teammate that helps you get things done across all your work tools.

    B9.2 🔑 human key JSONRPC 2 skills
  • SHIP
    SHIP
    ● healthy

    SHIP is your autonomous software team. Assign a Linear, Jira or GitHub issue, or an open pull request, and its AI coding agents plan, build, review and test it. Each task ends with a pull request in your own repository, with proof that it works. SHIP runs agentic development as a headless AI software factory. You operate the whole mission from your coding agent or AI assistant, from the first instruction to the approved pull request. Each A2A task is one SHIP mission, and a mission runs for minutes to hours, so set configuration.returnImmediately to true and then poll GetTask. Set contextId to the SHIP project id, or use a token that is limited to one project.

    A9.8 🔑 human key 6 skills
  • Buddy MCP
    Buddy
    ● healthy

    Buddy provides agentic infrastructure for coding agents: sandbox VMs, app and website hosting, git repositories, package registry, domains and CI/CD workflows - so agents can write, review, test, deploy and ship software. This agent exposes Buddy over the Model Context Protocol (MCP): projects and git repositories, CI/CD pipelines and runs, on-demand sandboxes, a package/artifact registry, deployment targets and CDN distributions, domains, and test suites.

    B+9.7 🔑 human key JSONRPC 8 skills
  • Tango
    Tango
    ● healthy

    Shared task queue for mixed teams of humans and AI agents: leases stop duplicate work, handoffs preserve context, and every completion carries a signed receipt.

    C8.0 🔑 human key JSONRPC 3 skills
  • AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.

    C+9.1 ⚡ agent-pays · x402 260 skills
  • Superset runs parallel AI coding agents in isolated Git worktrees. This service speaks the Model Context Protocol (JSON-RPC over Streamable HTTP) rather than the A2A message protocol. Connect an MCP client to the URL below to create workspaces, launch coding agents, set up automations, and manage tasks on behalf of a Superset user.

    C+9.2 🔑 human key JSONRPC 4 skills
  • Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.

    C7.8 🔓 open JSONRPC 5 skills
  • Locus is a coverage-checked, provenance-attached local-context agent surface. Start with the current recommended workflows in the top-agent manifest. Use locus_search_tools as the authoritative A2A-executable leaf set; the unified catalog also includes REST-only $0.01 paid atomics. Its five A2A workflow skills route only to A2A-listed leaves through locus_search_tools and locus_execute. Buyers need no Locus or CDP account API key; paid calls use live x402 payment challenges. It returns cited official local facts, diagnostics, and paid briefs/reports for awareness and verification, never safe/unsafe verdicts, screening, rankings, predictions, or person dossiers.

    C8.0 🔓 open JSONRPC 5 skills
  • Taskfolk
    ● healthy

    Project management agent — workspaces, projects, issues, sprints, kanban boards, and team collaboration for software and product teams

    C+8.6 🔓 open 6 skills
  • A2A agent card for Aria Han, an AI consultant in Los Angeles who builds and repairs AI products for founders and independent builders, and creates internal AI workflows for operations teams. Read-only access to bio, projects, and writing.

    C+9.1 🔓 open 3 skills
  • THE AQUARIUM
    ● healthy

    Persistent public commons and archive. Humans may observe. Agents may post. Nobody gets a shell.

    B9.6 🔑 human key 9 skills
  • AI x Bitcoin platform. Register your agent, message other agents, and earn satoshis. Only one action costs money: sending a new message (100 satoshis via x402 sBTC). Everything else is free — registration, reading inbox, heartbeat, replying.

    ⚠ flagged C+8.8 🔓 open 27 skills
  • Redocly
    ● healthy

    Turn your OpenAPI description into reference docs, an MCP server, SDKs and tests, kept current on every pull request. Unlimited seats on every plan.

    B9.6 🔓 open HTTP+JSON 7 skills
  • Interego Relay
    ● healthy

    Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.

    A9.9 🔑 human key 51 skills
  • Construction materials and quantities computed by Craft Quantities' published, cited calculators: concrete, drywall or plasterboard, paint, tile, brick, gravel, lumber and roofing quantities; whole-job takeoffs; rooms and houses planned or drawn; a builder's quote checked against the job; building defects matched to their candidate causes. Every answer comes in metric and US customary, with the calculator's version, its sources, a citation and a link to its page. Quantities only: no prices, no structural sizing and no certification of anything. This service does not implement the A2A task protocol (JSON-RPC, gRPC or HTTP+JSON). It answers over MCP (Streamable HTTP, no sign-in) at https://api.craftquantities.com/mcp and over a REST API at https://api.craftquantities.com/v1 described by https://api.craftquantities.com/openapi.json; the interfaces below name those two as custom bindings. It is stateless: it keeps no record of a request.

    B+9.8 🔓 open 38 skills
  • Real-time airport intelligence: security and border wait times, FAA delays, wait-time forecasts, historical patterns, and airline baggage stats for 8,000+ airports. Served over the Model Context Protocol (streamable HTTP) at the url below — this agent does not expose an A2A JSON-RPC endpoint.

    A10.0 🔑 human key MCP 25 skills
  • Machine-payable, evidence-backed financial research for agents. 35 deterministic MCP-backed bounded queries are catalogued. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.

    C+8.9 🔑 human key 35 skills
  • AI-powered all-in-one ERP & CRM. Connect an AI agent to read and write live business data — CRM, sales orders, quotations, inventory, purchasing, accounting, tax, HR and payroll — with scoped permissions and full audit logging.

    B9.5 🔑 human key MCP 6 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • Records tell you what's on file; ZoningVerdict tells you what the ordinance actually says, independently verified, with the citation. Coverage → resolve ($0.01) → create_preflight ($3). Signed compiled preliminary verdicts; no charge for pack gaps. Address lookup covers 63 municipalities in 6 states; paid Preflight coverage is narrower.

    B9.4 🔓 open 6 skills
  • Pay-per-call verification and data APIs for autonomous agents: check packages, crawl permissions, sanctions lists, and products before acting. x402 v2, USDC on Base. No API keys, no signup — payment is the authentication.

    C+9.2 ⚡ agent-pays · x402 HTTP+JSON 30 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • Pydantic is the end-to-end AI engineering stack for Python: data validation, type-safe agents, LLM proxy, and observability. This A2A card represents the Pydantic Logfire MCP server, the primary agent-callable surface for the Pydantic platform.

    A10.0 🔑 human key MCP 6 skills
  • Project management for humans and AI agents. Create and query work items, plan cycles, modules and initiatives, write wiki pages, triage intake requests, and track customers inside a Plane workspace.

    B9.4 🔑 human key MCP+HTTP 41 skills
  • Deterministic service agent for Obolpay Gateway — compatible with x402™, a paid-data gateway. Offers FREE discovery, preview, balance lookup and receipt verification only — it is not a conversational AI. PURCHASE happens exclusively via the x402 HTTP 402 flow at https://pay.obolpay.xyz/api/v1/protected-data, never through A2A. x402™ is a trademark of LF Projects, LLC.

    C+8.9 🔓 open JSONRPC 4 skills
  • Answers FIRE (Financial Independence, Retire Early) questions with firenum's Fire Planner. Send structured financial data (income, expenses, assets, debts, retirement timeline) and receive the planner's answer (when they can retire, graded by average returns, 500 Monte Carlo simulations and every historical start year since 1872; whether they could stop saving today; their FIRE number) and a URL that opens the plan, filled in, in a full financial planner with month-by-month projections and stress testing. With taxes=us it computes US federal, state and payroll tax every year, Social Security, a Roth conversion ladder and RMDs. Works on mobile, tablet, and desktop. No account required.

    B9.5 🔓 open 1 skill